OpenCV: cv::ocl::Image2D Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
cv::ocl::Image2D Class Reference
Core functionality » OpenCL support

`#include "ocl.hpp"`

## Public Member Functions
| Image2D ()
| Image2D (const UMat &src, bool norm=false, bool alias=false)
| Image2D (const Image2D &i)
| ~Image2D ()
Image2D & | operator= (const Image2D &i)
void * | ptr () const

## Static Public Member Functions
static bool | canCreateAlias (const UMat &u)
static bool | isFormatSupported (int depth, int cn, bool norm)

## Protected Attributes
Impl * | p

## Constructor & Destructor Documentation

## ◆ Image2D() [1/3]

cv::ocl::Image2D::Image2D | ( |  | ) |

## ◆ Image2D() [2/3]

cv::ocl::Image2D::Image2D | ( | const UMat & | src,
|  | bool | norm = `false`,
|  | bool | alias = `false`
| ) |  |
| explicit

Parameters

  src | UMat object from which to get image properties and data
  norm | flag to enable the use of normalized channel data types
  alias | flag indicating that the image should alias the src UMat. If true, changes to the image or src will be reflected in both objects.

## ◆ Image2D() [3/3]

cv::ocl::Image2D::Image2D | ( | const Image2D & | i | ) |

## ◆ ~Image2D()

cv::ocl::Image2D::~Image2D | ( |  | ) |

## Member Function Documentation

## ◆ canCreateAlias()

static bool cv::ocl::Image2D::canCreateAlias | ( | const UMat & | u | ) |
| static

Indicates if creating an aliased image should succeed. Depends on the underlying platform and the dimensions of the UMat.

## ◆ isFormatSupported()

static bool cv::ocl::Image2D::isFormatSupported | ( | int | depth,
|  | int | cn,
|  | bool | norm
| ) |  |
| static

Indicates if the image format is supported.

## ◆ operator=()

Image2D& cv::ocl::Image2D::operator= | ( | const Image2D & | i | ) |

## ◆ ptr()

void* cv::ocl::Image2D::ptr | ( |  | ) | const

## Member Data Documentation

## ◆ p

Impl* cv::ocl::Image2D::p
| protected

The documentation for this class was generated from the following file:

- core/include/opencv2/core/ocl.hpp